{% load i18n %}

<!doctype html>
<html>
  <head>
    <meta charset="utf-8">
    <title> {{ document_title }} {{ bookshop.name }}</title>

    <style>
     .new-page {
         page-break-before: always;
     }

     @page {
         font-family: 'Helvetica Neue', 'Helvetica', Helvetica, Arial, sans-serif;
         font-size: 11px;
         color: #555;
         @bottom-center {
             content: "{% if bookshop.checks_order %} Chèques à l'ordre de {{ bookshop.checks_order }} {% else %} {{ bookshop.name | safe }} {% endif %}. {% if bookshop.bank_IBAN %} IBAN: {{ bookshop.bank_IBAN }} {% endif %} {% if bookshop.bank_BIC %} Code BIC: {{ bookshop.bank_BIC}} {% endif %} {% if bookshop.is_vat_exonerated %} - exonéré de TVA.{% endif %} "
         }
     }

     .invoice-box {
         max-width: 800px;
         margin: auto;
         padding: 14px;
         box-shadow: 0 0 10px rgba(0, 0, 0, .15);
         font-size: 12px;
         line-height: 14px;
         font-family: 'Helvetica Neue', 'Helvetica', Helvetica, Arial, sans-serif;
         color: #555;
     }

     .invoice-box table {
         width: 100%;
         line-height: inherit;
         text-align: left;
     }

     .invoice-box table td {
         padding: 5px;
         vertical-align: top;
     }

     .with-border table td {
         border-bottom: 1px solid #ddd;
     }

     .invoice-box table tr td:nth-child(2) {
         text-align: right;
     }

     .invoice-box table tr.top table td {
         padding-bottom: 14px;
     }

     .invoice-box table tr.top table td.title {
         font-size: 24px;
         line-height: 45px;
         color: #333;
     }

     .invoice-box table tr.information table td {
         padding-bottom: 15px;
     }

     .invoice-box table tr.heading td {
         background: #eee;
         font-weight: bold;
     }

     .invoice-box table tr.details td {
         padding-bottom: 7px;
     }

     .invoice-box table tr.item td{
     }

     .invoice-box table tr.item.last td {
         border-bottom: none;
     }

     .invoice-box table tr.total td {
         font-weight: bold;
     }

     @media only screen and (max-width: 600px) {
         .invoice-box table tr.top table td {
             width: 100%;
             display: block;
             text-align: center;
         }

         .invoice-box table tr.information table td {
             width: 100%;
             display: block;
             text-align: center;
         }
     }

    </style>
  </head>

  <body>
    <div class="invoice-box new-page">

      <!-- Header: the bookshop and client's name, address, phone… -->
      {% include "pdftemplates/includes/header.html" %}


    </div>

    <div class="col-md-12" style="padding-left: 0; margin-left: 0">

      <h2> {% trans "Ticket Z" %} </h2>

      <div class="col-md-6">

        <div>
          {% trans "total" %}: {{ sells_data.total_price_sold_fmt }}
        </div>

        <div>
          {% trans "transactions" %}: {{ sells_data.nb_sells }}
        </div>

        <div>
          {% trans "Sells" %}: {{ sells_data.nb_cards_sold }}
        </div>

        <div>
          {% trans "Sells" %} ({% trans "books" %}): {{ sells_data.nb_books_sold }}
        </div>

        <div>
          {% trans "mean" %}: {{ sells_data.sell_mean_fmt }}
        </div>

        <h4> Transactions </h4>

        {% for total_per_payment in total_per_payment_items %}
        <div>
          <i class="glyphicon glyphicon-hand-right"></i>
          {{ total_per_payment.0 }}: {{ total_per_payment.1 }} {{ currency }}
        </div>
        {% endfor %}

        <h4> {% trans "VAT" %} </h4>

        {% for item in total_per_vat_items %}
        <div>
          <i class="glyphicon glyphicon-hand-right"></i>
          {{ item.0 }}%: {{ item.1 }} {{ currency }}
        </div>
        {% endfor %}

      </div>
    </div>

  </body>
</html>
